package com.aucma.report.domain.vo;

import java.io.Serializable;

/**
 * Board5 故障来源分布VO
 * 维护故障、运行故障、自然故障
 *
 * @author YinQ
 */
public class Board5FaultSourceDistributionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 维护故障占比（FAULT_SOURCE_TYPE=1） */
    private Long maintainPercent;

    /** 运行故障占比（FAULT_SOURCE_TYPE=2,3） */
    private Long runningPercent;

    /** 自然故障占比（FAULT_SOURCE_TYPE=9） */
    private Long naturalPercent;

    public Long getMaintainPercent() {
        return maintainPercent;
    }

    public void setMaintainPercent(Long maintainPercent) {
        this.maintainPercent = maintainPercent;
    }

    public Long getRunningPercent() {
        return runningPercent;
    }

    public void setRunningPercent(Long runningPercent) {
        this.runningPercent = runningPercent;
    }

    public Long getNaturalPercent() {
        return naturalPercent;
    }

    public void setNaturalPercent(Long naturalPercent) {
        this.naturalPercent = naturalPercent;
    }
}
